service_catalog_entry:
  pillar: operational_excellence
  minimum_maturity: experimental
  url: https://gitlab.com/gitlab-com/runbooks/-/tree/master/services

ddos_protection:
  pillar: reliability
  category: rate_limiting
  minimum_maturity: experimental
  url: https://docs.gitlab.com/ee/security/rate_limits.html

cloud_resource_labeling:
  pillar: cost_optimization
  minimum_maturity: experimental
  url: https://handbook.gitlab.com/handbook/infrastructure-standards/labels-tags/

blast_radius_mitigation: # this is more of a general design principal?
  pillar: reliability

metrics_catalog_entry: # more details -> SLI/SLOs defined etc
  pillar: performance_effiency
  category: observability
  minimum_maturity: experimental
  url: https://gitlab.com/gitlab-com/runbooks/-/tree/master/metrics-catalog/services

change_management_issue: # not just required for Readiness Review
  pillar: reliability
  minimum_maturity: 
  url: 

rollback_strategy:
  pillar: reliability
  minimum_maturity: experimental

application_security_review:
  pillar: security
  minimum_maturity: experimental

infrastructure_dependency_management:
  pillar: security
  minimum_maturity: experimental

secure_static_code_analysis:
  pillar: security
  minimum_maturity: experimental

secure_container_scanning:
  pillar: security
  minimum_maturity: experimental 

structured_logging:
  pillar: operational_excellence
  category: logging
  minimum_maturity: beta

observability_dashboard:
  pillar: operational_excellence
  category: observability
  minimum_maturity: beta

data_backups:
  pillar: reliability
  category: disaster_recovery
  minimum_mauturity: beta

data_backup_monitoring:
  pillar: operational_excellence
  category: disaster_recovery
  minimum_maturity: beta

runbooks:
  pillar: operational_excellence
  minimum_maturity: general_availability

saturation_forecasting:
  pillar: operational_excellence
  category: monitoring
  minimum_maturity: general_availability

load_testing:
  pillar: performance_efficiency
  category: testing
  minimum_maturity: general_availability

alert_routing:
  pillar: reliability
  category: observability
  minimum_maturity: general_availability

support_model:
  pillar: reliability
  minimum_maturity: general_availability

autoscaling:
  pillar: performance_efficiency
  minimum_maturity: general_availability